| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# IG::Num::UnstructuredMesh1d3d Class Reference

Unstructured mesh in 1D embedded in 3D space. Used e.g. for representation of curves in 3D.Type used for co-ordinates is vec3.Contains collections of collections of index, scalar, vector and tensor fields that are created on demand. More...

Inheritance diagram for IG::Num::UnstructuredMesh1d3d:
[legend]
Collaboration diagram for IG::Num::UnstructuredMesh1d3d:
[legend]

List of all members.

## Public Member Functions
| UnstructuredMesh1d3d ()
| Constructs a new empty 1D (unconnected) unstructured grid (no elements contained) with no name and no description.
| UnstructuredMesh1d3d (int length)
| Constructs a new 1D (unconnected) unstructured grid with the specified size, name and description. Array of elements is allocated. Elements of the field are arranged in a 1D structured grid.
| UnstructuredMesh1d3d (int length, string fieldName)
| Constructs a new 1D (unconnected) unstructured grid with the specified size, name and description. Array of elements is allocated. Elements of the field are arranged in a 1D structured grid.
| UnstructuredMesh1d3d (int length, string fieldName, string fieldDescription)
| Constructs a new 1D (unconnected) unstructured grid with the specified size, name and description. Array of elements is allocated. Elements of the field are arranged in a 1D structured grid.
| UnstructuredMesh1d3d (int dimx, int dimy, string fieldName, string fieldDescription, double minx, double maxx, double miny, double maxy)
| Constructs a (unconnected) unstructured grid based on 1D regular grid with grid direction parallel to coordinate axes, with specified name and description. Array of elements is allocated.
| UnstructuredMesh1d3d (int dimx, string fieldName, string fieldDescription, double minxRef, double maxxRef, IRealFunction fx, IRealFunction fy, IRealFunction fz)
| Constructs an (unconnected) unstructured grid of nodes based on 1D structured grid obtained by transformation of co-ordinates of a regular equidistant grid. Array of elements is allocated.
void | GenerateCoordinates (int dimx, double minxRef, double maxxRef)
| Generates an (unconnected) unstructured grid of nodes based on a 1D regular grid with grid directions parallel to coordinate axes and equidistant nodes in all directions.
void | GenerateCoordinates (int dimx, double minxRef, double maxxRef, IRealFunction fx, IRealFunction fy, IRealFunction fz)
| Generates coordinates of an (unconnected) unstructured grid of points based on coordinates of a structured mesh for a parametric volume according to functions specifying the x, y, and z coordinates in terms of three scalar functions of 3 variables. Coordinates are obtained by mapping individual coordinates of a regular equidistant grid from the reference system.

## Detailed Description

Unstructured mesh in 1D embedded in 3D space.

Used e.g. for representation of curves in 3D.

Type used for co-ordinates is vec3.

Contains collections of collections of index, scalar, vector and tensor fields that are created on demand.

$A Igor Jan08 Mar09;

## Constructor & Destructor Documentation

IG::Num::UnstructuredMesh1d3d::UnstructuredMesh1d3d | ( |  | ) | `[inline]`

Constructs a new empty 1D (unconnected) unstructured grid (no elements contained) with no name and no description.

IG::Num::UnstructuredMesh1d3d::UnstructuredMesh1d3d | ( | int | length | ) | `[inline]`

Constructs a new 1D (unconnected) unstructured grid with the specified size, name and description. Array of elements is allocated. Elements of the field are arranged in a 1D structured grid.

Parameters:

  length | Length of the field (number of grid nodes).

IG::Num::UnstructuredMesh1d3d::UnstructuredMesh1d3d | ( | int | length,
|  | string | fieldName
| ) |  | `[inline]`

Constructs a new 1D (unconnected) unstructured grid with the specified size, name and description. Array of elements is allocated. Elements of the field are arranged in a 1D structured grid.

Parameters:

  length | Length of the field (number of grid nodes).
  fieldName | Name of the field.

IG::Num::UnstructuredMesh1d3d::UnstructuredMesh1d3d | ( | int | length,
|  | string | fieldName,
|  | string | fieldDescription
| ) |  | `[inline]`

Constructs a new 1D (unconnected) unstructured grid with the specified size, name and description. Array of elements is allocated. Elements of the field are arranged in a 1D structured grid.

Parameters:

  length | Length of the field (number of grid nodes).
  fieldName | Name of the field.
  fieldDescription | Field description.

IG::Num::UnstructuredMesh1d3d::UnstructuredMesh1d3d | ( | int | dimx,
|  | int | dimy,
|  | string | fieldName,
|  | string | fieldDescription,
|  | double | minx,
|  | double | maxx,
|  | double | miny,
|  | double | maxy
| ) |  | `[inline]`

Constructs a (unconnected) unstructured grid based on 1D regular grid with grid direction parallel to coordinate axes, with specified name and description. Array of elements is allocated.

Parameters:

  dimx | First dimension of the field (number of grid nodes in the first direction).
  dimy | Second dimension of the field.
  dimz | Third dimension of the field.
  fieldName | Name of the field.
  fieldDescription | Field description.
  minx | Minimal value of x coordinate of the generated grid.
  maxx | Maximal value of x coordinate of the generated grid.
  miny | Minimal value of y coordinate of the generated grid.
  maxy | Maximal value of y coordinate of the generated grid.

IG::Num::UnstructuredMesh1d3d::UnstructuredMesh1d3d | ( | int | dimx,
|  | string | fieldName,
|  | string | fieldDescription,
|  | double | minxRef,
|  | double | maxxRef,
|  | IRealFunction | fx,
|  | IRealFunction | fy,
|  | IRealFunction | fz
| ) |  | `[inline]`

Constructs an (unconnected) unstructured grid of nodes based on 1D structured grid obtained by transformation of co-ordinates of a regular equidistant grid. Array of elements is allocated.

Parameters:

  dimx | First dimension of the field (number of grid nodes in the first direction).
  dimy | Second dimension of the field.
  dimz | Third dimension of the field.
  fieldName | Name of the field.
  fieldDescription | Field description.
  minxRef | Minimal value of x coordinate of the generated grid.
  maxxRef | Maximal value of x coordinate of the generated grid.
  minyRef | Minimal value of y coordinate of the generated grid.
  maxyRef | Maximal value of y coordinate of the generated grid.
  fx | Function that maps node coordinates of the reference grid to the first node coordinates of the actual grid.
  fy | Function that maps node coordinates of the reference grid to the second node coordinates of the actual grid.

## Member Function Documentation

void IG::Num::UnstructuredMesh1d3d::GenerateCoordinates | ( | int | dimx,
|  | double | minxRef,
|  | double | maxxRef
| ) |  | `[inline]`

Generates an (unconnected) unstructured grid of nodes based on a 1D regular grid with grid directions parallel to coordinate axes and equidistant nodes in all directions.

Parameters:

  minxRef | Minimal value of x coordinate of the generated grid.
  maxxRef | Maximal value of x coordinate of the generated grid.
  minyRef | Minimal value of y coordinate of the generated grid.
  maxyRef | Maximal value of y coordinate of the generated grid.

void IG::Num::UnstructuredMesh1d3d::GenerateCoordinates | ( | int | dimx,
|  | double | minxRef,
|  | double | maxxRef,
|  | IRealFunction | fx,
|  | IRealFunction | fy,
|  | IRealFunction | fz
| ) |  | `[inline]`

Generates coordinates of an (unconnected) unstructured grid of points based on coordinates of a structured mesh for a parametric volume according to functions specifying the x, y, and z coordinates in terms of three scalar functions of 3 variables. Coordinates are obtained by mapping individual coordinates of a regular equidistant grid from the reference system.

Parameters:

  minxRef | Lower bound for the first parameter in the reference coordinate system.
  maxxRef | Upper bound for the first parameter in the reference coordinate system.
  minyRef | Lower bound for the second parameter in the reference coordinate system.
  maxyRef | Upper bound for the second parameter in the reference coordinate system.
  fx | Function that maps node coordinates of the reference grid to the first node coordinates of the actual grid.
  fy | Function that maps node coordinates of the reference grid to the second node coordinates of the actual grid.
  fz | Function that maps node coordinates of the reference grid to the second node coordinates of the actual grid.

The documentation for this class was generated from the following file:

- UnstructuredMesh1d3d.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events